Supercheck LogoSupercheck
Notifications API

Update a notification provider

Update notification provider name, type, or configuration.

PUT
/api/notification-providers/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.

Path Parameters

id*string

Notification provider ID

Formatuuid

Request Body

application/json
  1. body
name*string
type*string
config*

Response Body

Provider updated

application/json
  1. response
id?string
Formatuuid
name?string
type?string
Value in"email""slack""webhook""telegram""discord""teams"
enabled?boolean
config?
lastUsed?string
Formatdate-time
createdByName?string
createdByImage?string
createdAt?string
Formatdate-time
Example Request
curl -X PUT 'https://demo.supercheck.dev/api/notification-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "type": "string",  "config": {}}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "type": "email",  "enabled": true,  "config": {},  "lastUsed": "2019-08-24T14:15:22Z",  "createdByName": "string",  "createdByImage": "string",  "createdAt": "2019-08-24T14:15:22Z"}